> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withcortex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhooks

> Retrieve a list of webhooks for a specific app.



## OpenAPI

````yaml get /apps/{app_id}/webhooks
openapi: 3.0.0
info:
  version: 1.0.0
  title: API
servers: []
security: []
paths:
  /apps/{app_id}/webhooks:
    get:
      summary: Get Webhooks
      description: Retrieve a list of webhooks for a specific app.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the app
          name: app_id
          in: path
        - schema:
            type: number
          required: false
          description: Page number
          name: page
          in: query
        - schema:
            type: number
          required: false
          description: Number of items to take
          name: take
          in: query
        - schema:
            type: string
          required: false
          description: Next page token (Only used on special endpoints)
          name: next
          in: query
      responses:
        '200':
          description: An array of webhooks.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebhookSchema'
components:
  schemas:
    WebhookSchema:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the webhook
        url:
          type: string
          format: uri
          description: URL to which the webhook will send POST requests
          example: https://example.com/webhook
        created_at:
          type: string
          nullable: true
          description: Timestamp when the webhook was created
          format: date
        updated_at:
          type: string
          nullable: true
          description: Timestamp when the webhook was last updated
          format: date
        events:
          type: array
          items:
            type: string
            enum:
              - record.created
              - record.running
              - record.completed
              - record.failed
            description: Type of the webhook event
            example: record.created
          description: List of events that trigger the webhook
          example:
            - record.created
            - record.completed
      required:
        - id
        - url
        - created_at
        - updated_at
        - events
      description: Detailed information about a webhook

````